/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\ringofthedead.cs
Lines of code: 42

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class ringofthedead : GoldRing
	{


		[Constructable]
		public ringofthedead() : base()
		{
			Name="Ring of the Dead";
			Hue=962;
			
			Attributes.AttackChance = 20;
			Attributes.CastSpeed = 1;
			Attributes.RegenStam = 5;
			Resistances.Fire = 25;
			Attributes.Luck=150;
			
			Attributes.IncreasedKarmaLoss = 5;
			
			SkillBonuses.SetValues( 0, SkillName.Necromancy, 20.0 );
		}
		

		

		public ringofthedead( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 3 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			
			if(version<=2)
			{
				SkillBonuses.SetValues( 0, SkillName.Necromancy, 20.0 );
				Attributes.IncreasedKarmaLoss = 5;				
				Attributes.Luck = 150;
				Attributes.RegenStam = 5;				
				Attributes.BonusDex = 0;			
			}
		}
	}
	
}